public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/
@ 2023-08-02 16:31 Florian Schmaus
  2023-08-02 16:31 ` [gentoo-commits] repo/proj/guru:master " Florian Schmaus
  0 siblings, 1 reply; 5+ messages in thread
From: Florian Schmaus @ 2023-08-02 16:31 UTC (permalink / raw
  To: gentoo-commits

commit:     174dcf903f357e5f7f1a6260854336a100d86866
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 16:31:08 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 16:31:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=174dcf90

dev-util/gitlab-ci-local-bin: new package, add 4.42.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.42.0.ebuild              | 41 ++++++++++++++++++++++
 dev-util/gitlab-ci-local-bin/metadata.xml          | 11 ++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
new file mode 100644
index 0000000000..9942a931ae
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -0,0 +1 @@
+DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
new file mode 100644
index 0000000000..7e5c8ce879
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+	default
+
+	chmod 755 ${P} || die
+}
+
+src_compile() {
+	# Generate zsh completion.
+	./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+	newbin ${P} ${MY_PN}
+
+	dozshcomp _${MY_PN}
+}

diff --git a/dev-util/gitlab-ci-local-bin/metadata.xml b/dev-util/gitlab-ci-local-bin/metadata.xml
new file mode 100644
index 0000000000..0368e58bb7
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<name>Florian Schmaus</name>
+		<email>flow@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">firecow/gitlab-ci-local</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-util/gitlab-ci-local-bin/
  2023-08-02 16:31 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/ Florian Schmaus
@ 2023-08-02 16:31 ` Florian Schmaus
  0 siblings, 0 replies; 5+ messages in thread
From: Florian Schmaus @ 2023-08-02 16:31 UTC (permalink / raw
  To: gentoo-commits

commit:     174dcf903f357e5f7f1a6260854336a100d86866
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 16:31:08 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 16:31:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=174dcf90

dev-util/gitlab-ci-local-bin: new package, add 4.42.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.42.0.ebuild              | 41 ++++++++++++++++++++++
 dev-util/gitlab-ci-local-bin/metadata.xml          | 11 ++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
new file mode 100644
index 0000000000..9942a931ae
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -0,0 +1 @@
+DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
new file mode 100644
index 0000000000..7e5c8ce879
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+	default
+
+	chmod 755 ${P} || die
+}
+
+src_compile() {
+	# Generate zsh completion.
+	./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+	newbin ${P} ${MY_PN}
+
+	dozshcomp _${MY_PN}
+}

diff --git a/dev-util/gitlab-ci-local-bin/metadata.xml b/dev-util/gitlab-ci-local-bin/metadata.xml
new file mode 100644
index 0000000000..0368e58bb7
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<name>Florian Schmaus</name>
+		<email>flow@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">firecow/gitlab-ci-local</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/
@ 2023-09-11  8:12 Florian Schmaus
  0 siblings, 0 replies; 5+ messages in thread
From: Florian Schmaus @ 2023-09-11  8:12 UTC (permalink / raw
  To: gentoo-commits

commit:     87ce5b9f5daca42ec9db9dcaf18ab6e8088d93f9
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 11 08:11:58 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Sep 11 08:12:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=87ce5b9f

dev-util/gitlab-ci-local-bin: add 4.43.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.43.0.ebuild              | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
index 9942a931ae..535267300b 100644
--- a/dev-util/gitlab-ci-local-bin/Manifest
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -1 +1,2 @@
 DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54
+DIST gitlab-ci-local-bin-4.43.0.gz 19642956 BLAKE2B 9fe5bdc898e47ae20f910d210ac1195818d1e9086b108be117bb91bcca7576e988efa2ace8064792150ff60dd2f42cfcb613edc44a6bb5fd1df4cc057b73671c SHA512 e5464f8356137aca05cfe0742a707d9f2674eccb4a88ad7d5ff9d808a9801952065d93e048b1ea7f02f0be94bbf6796e5de8de2e5993e9a81a921be63827fd74

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild
new file mode 100644
index 0000000000..7e5c8ce879
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+	default
+
+	chmod 755 ${P} || die
+}
+
+src_compile() {
+	# Generate zsh completion.
+	./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+	newbin ${P} ${MY_PN}
+
+	dozshcomp _${MY_PN}
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/
  2024-06-05 12:48 [gentoo-commits] repo/proj/guru:master " Florian Schmaus
@ 2024-06-05 12:47 ` Florian Schmaus
  0 siblings, 0 replies; 5+ messages in thread
From: Florian Schmaus @ 2024-06-05 12:47 UTC (permalink / raw
  To: gentoo-commits

commit:     f0a611f572e4c5976be385e7be6a1920afc65ef0
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  5 12:47:25 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun  5 12:47:48 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f0a611f5

dev-util/gitlab-ci-local-bin: add 4.47.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.47.0.ebuild              | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
index 535267300..43ec1d5a1 100644
--- a/dev-util/gitlab-ci-local-bin/Manifest
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -1,2 +1,3 @@
 DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54
 DIST gitlab-ci-local-bin-4.43.0.gz 19642956 BLAKE2B 9fe5bdc898e47ae20f910d210ac1195818d1e9086b108be117bb91bcca7576e988efa2ace8064792150ff60dd2f42cfcb613edc44a6bb5fd1df4cc057b73671c SHA512 e5464f8356137aca05cfe0742a707d9f2674eccb4a88ad7d5ff9d808a9801952065d93e048b1ea7f02f0be94bbf6796e5de8de2e5993e9a81a921be63827fd74
+DIST gitlab-ci-local-bin-4.47.0.gz 19691318 BLAKE2B 6ee996872aee4d61ab4af77da0c40b389cb0390805eafac300fa0a4e7f692972ebaf634e5b62f10d6713ba26a3d83505dec7aed00d6f64fd0d866238a9561439 SHA512 98f1b491142e38f18fa908f23bb4acd13f2c4970f93e0ac252051e1fd094e2b0e673e33eca6cc65b3252409bb158db423fe19cdcab9c87b7ebfb6cb72545d796

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.47.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.47.0.ebuild
new file mode 100644
index 000000000..840fade65
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.47.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
+
+S="${WORKDIR}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+	default
+
+	chmod 755 ${P} || die
+}
+
+src_compile() {
+	# Generate zsh completion.
+	./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+	newbin ${P} ${MY_PN}
+
+	dozshcomp _${MY_PN}
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/
@ 2024-06-05 12:47 Florian Schmaus
  0 siblings, 0 replies; 5+ messages in thread
From: Florian Schmaus @ 2024-06-05 12:47 UTC (permalink / raw
  To: gentoo-commits

commit:     9c951cd90e80799461fa78d38aedbac7ed8ca411
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  5 12:47:44 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun  5 12:47:48 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9c951cd9

dev-util/gitlab-ci-local-bin: drop 4.42.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 -
 .../gitlab-ci-local-bin-4.42.0.ebuild              | 41 ----------------------
 2 files changed, 42 deletions(-)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
index 43ec1d5a1..84684ceb7 100644
--- a/dev-util/gitlab-ci-local-bin/Manifest
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -1,3 +1,2 @@
-DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54
 DIST gitlab-ci-local-bin-4.43.0.gz 19642956 BLAKE2B 9fe5bdc898e47ae20f910d210ac1195818d1e9086b108be117bb91bcca7576e988efa2ace8064792150ff60dd2f42cfcb613edc44a6bb5fd1df4cc057b73671c SHA512 e5464f8356137aca05cfe0742a707d9f2674eccb4a88ad7d5ff9d808a9801952065d93e048b1ea7f02f0be94bbf6796e5de8de2e5993e9a81a921be63827fd74
 DIST gitlab-ci-local-bin-4.47.0.gz 19691318 BLAKE2B 6ee996872aee4d61ab4af77da0c40b389cb0390805eafac300fa0a4e7f692972ebaf634e5b62f10d6713ba26a3d83505dec7aed00d6f64fd0d866238a9561439 SHA512 98f1b491142e38f18fa908f23bb4acd13f2c4970f93e0ac252051e1fd094e2b0e673e33eca6cc65b3252409bb158db423fe19cdcab9c87b7ebfb6cb72545d796

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
deleted file mode 100644
index 1eb079fa8..000000000
--- a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit shell-completion
-
-DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
-HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
-SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
-
-S="${WORKDIR}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-# gitlab-ci-local requires debug information to run, as it performs a
-# sort of self-introspection.
-RESTRICT="strip"
-
-MY_PN="${PN/-bin/}"
-
-QA_PREBUILT="usr/bin/gitlab-ci-local"
-
-src_prepare() {
-	default
-
-	chmod 755 ${P} || die
-}
-
-src_compile() {
-	# Generate zsh completion.
-	./${P} --completion > _${MY_PN} || die
-}
-
-src_install() {
-	newbin ${P} ${MY_PN}
-
-	dozshcomp _${MY_PN}
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-06-05 12:47 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-02 16:31 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gitlab-ci-local-bin/ Florian Schmaus
2023-08-02 16:31 ` [gentoo-commits] repo/proj/guru:master " Florian Schmaus
  -- strict thread matches above, loose matches on Subject: below --
2023-09-11  8:12 [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2024-06-05 12:47 Florian Schmaus
2024-06-05 12:48 [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2024-06-05 12:47 ` [gentoo-commits] repo/proj/guru:dev " Florian Schmaus

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox